com.io7m.jregions.core.unparameterized.sizes

## Class VolumeSizeF

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.VolumeSizeF

- All Implemented Interfaces:
    VolumeSizeFType, VolumeSizeValuesFType

      @Generated(value={"Immutables.generator","VolumeSizeFType"})
      public final class VolumeSizeF
      extends Object
      implements VolumeSizeFType

  The size of a volume with `float` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VolumeSizeF.Builder` Builds instances of type `VolumeSizeF`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VolumeSizeF.Builder` | `builder()` Creates a builder for `VolumeSizeF`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `VolumeSizeF` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
    `static VolumeSizeF` | `of(float sizeX, float sizeY, float sizeZ)` Construct a new immutable `VolumeSizeF` instance.
    `float` | `sizeX()`
    `float` | `sizeY()`
    `float` | `sizeZ()`
    `String` | `toString()` Prints the immutable value `VolumeSizeF` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### sizeX

          public float sizeX()

      Specified by:
        `sizeX` in interface `VolumeSizeFType`
      Specified by:
        `sizeX` in interface `VolumeSizeValuesFType`
      Returns:
        The value of the `sizeX` attribute

    - #### sizeY

          public float sizeY()

      Specified by:
        `sizeY` in interface `VolumeSizeFType`
      Specified by:
        `sizeY` in interface `VolumeSizeValuesFType`
      Returns:
        The value of the `sizeY` attribute

    - #### sizeZ

          public float sizeZ()

      Specified by:
        `sizeZ` in interface `VolumeSizeFType`
      Specified by:
        `sizeZ` in interface `VolumeSizeValuesFType`
      Returns:
        The value of the `sizeZ` attribute

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `VolumeSizeF` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `VolumeSizeF` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static VolumeSizeF of(float sizeX,
                                       float sizeY,
                                       float sizeZ)

      Construct a new immutable `VolumeSizeF` instance.
      Parameters:
        `sizeX` - The value for the `sizeX` attribute
        `sizeY` - The value for the `sizeY` attribute
        `sizeZ` - The value for the `sizeZ` attribute
      Returns:
        An immutable VolumeSizeF instance

    - #### builder

          public static VolumeSizeF.Builder builder()

      Creates a builder for `VolumeSizeF`.
      Returns:
        A new VolumeSizeF builder

Copyright © 2017 <code@io7m.com> http://io7m.com